Update source app
Update source app. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/sources/:source_id/apps/:app_idঅনুরোধ করা পরামিতি
সকল পরামিতি অনুসন্ধান বা মৃতদেহের মাধ্যমে অতিক্রম করা যাবে
| পরামিতি | ধরন | আবশ্যক | বিবরণ |
|---|---|---|---|
source_id | string | আবশ্যক | Source ID owned by this user on the current site উদাহরণ: 12345678 |
app_id | integer | আবশ্যক | App ID within this source উদাহরণ: 1 |
name | string | বিকল্প | App name, up to 100 characters উদাহরণ: 演示应用 |
download_url | string | বিকল্প | HTTP(S) URL for downloading the app উদাহরণ: https://example.com/app.ipa |
version | string | বিকল্প | App version উদাহরণ: 1.0 |
type | string | বিকল্প | App type |
version_desc | string | বিকল্প | Release notes |
icon_url | string | বিকল্প | HTTP(S) URL of the app icon |
tint_color | string | বিকল্প | Theme color |
size | string | বিকল্প | File size |
is_lanzou | integer | বিকল্প | LanZou Cloud link: 0/1 |
is_locked | integer | বিকল্প | Requires a license key to unlock: 0/1 |
ios_version_limit | string | বিকল্প | iOS version restriction |
weigh | integer | বিকল্প | Sort weight |
status | integer | বিকল্প | Visibility: 0=hidden, 1=visible; publish drafts before editing |
প্রতিক্রিয়া
| পরামিতি | ধরন | আবশ্যক | বিবরণ |
|---|---|---|---|
code | integer | আবশ্যক | 1 indicates success; otherwise a token, validation or source error code উদাহরণ: 1 |
msg | string | আবশ্যক | Localized result message উদাহরণ: 获取成功 |
time | integer | আবশ্যক | Unix timestamp in seconds |
data | object | আবশ্যক | Allowlisted fields visible to the source owner |
ত্রুটিপূর্ণ কোড
101140001বহিরাগত ভাষা
X-Lang হেডারের সাথে API প্রতিক্রিয়া গ্রহণ করুন। টি কোড স্বয়ংক্রিয়ভাবে আপনার বর্তমান অবস্থানের জন্য ব্যবহার করা হচ্ছে।
X-Lang: bnzh, en, zh-TW, vi, ar, es, ruসমর্থিত ভাষাও সমর্থিত নয়; X-Lang এর অগ্রাধিকার গ্রহণ করা হয়। ওয়েব-সাইট ফাইলটির সাহায্যে সমর্থিত হয়।
কোড উদাহরণ
curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps/1" \
-H "X-Lang: bn" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "演示应用",
"download_url": "https://example.com/app.ipa",
"version": "1.0",
"type": "example_type",
"version_desc": "example_version_desc",
"icon_url": "example_icon_url",
"tint_color": "example_tint_color",
"size": "example_size",
"is_lanzou": 1,
"is_locked": 1,
"ios_version_limit": "example_ios_version_limit",
"weigh": 1,
"status": 1
}'নোট
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
কনসোলের মধ্যে এটি চেষ্টা করুন
বাগ পূরণ করুন এবং এটি পরীক্ষা করুন। এই সাইটের API- এ কেবল অনুরোধ করা হয়; URL- টি লক করা হয়েছে এবং আপনার বর্তমান লগ- ইন কুকি অন্তর্ভুক্ত করা যাবে না।
https://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps/1এই সাইটের লক করা হয়েছেSource ID owned by this user on the current site
App ID within this source
App name, up to 100 characters
HTTP(S) URL for downloading the app
App version
App type
Release notes
HTTP(S) URL of the app icon
Theme color
File size
LanZou Cloud link: 0/1
Requires a license key to unlock: 0/1
iOS version restriction
Sort weight
Visibility: 0=hidden, 1=visible; publish drafts before editing